<script src="jquery-3.2.1.min.js"></script>
<style>
.key{
    color: #3D28FB;
}
.string{

}
.number{

}
</style>
<script>
function output(inp) {
    document.body.appendChild(document.createElement('pre')).innerHTML = inp;
}
function syntaxHighlight(json) {
    json = json.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
    return json.replace(/("(\\u[a-zA-Z0-9]{4}|\\[^u]|[^\\"])*"(\s*:)?|\b(true|false|null)\b|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?)/g, function (match) {
        var cls = 'number';
        if (/^"/.test(match)) {
            if (/:$/.test(match)) {
                cls = 'key';
            } else {
                cls = 'string';
            }
        } else if (/true|false/.test(match)) {
            cls = 'boolean';
        } else if (/null/.test(match)) {
            cls = 'null';
        }
        return '<span class="' + cls + '">' + match + '</span>';
    });
}
 


    $.getJSON("/api/result_safe",function(result){
      output(syntaxHighlight(JSON.stringify(result, undefined, 4)));
    });

function show_full(){
    document.body.removeChild(document.getElementsByTagName("pre")[0]);
    document.body.removeChild(document.getElementsByTagName("a")[0]);
    $.getJSON("/api/result",function(result){
      output(syntaxHighlight(JSON.stringify(result, undefined, 4)));
    });
    return false;
}
</script>
<body>
<p></p>
<a onclick="show_full()" href="#full">显示完整信息</a> <a href="/clear">从本服务器上删除您的信息</a>
</body>